<h1>My To Do's</h1>
<div class="container">
  <table class="table">
    <thead>
      <tr>
        <th>Id</th>
        <th>Description</th>
        <th>Target Date</th>
        <th>Is Completed</th>
      </tr>
    </thead>
    <tbody>
      <!-- don't make an error to use 'in' instead of 'of' like in angularJS-->
      <tr *ngFor="let todo of todos">
        <td>{{ todo.idty }}</td>
        <td>{{ todo.description }}</td>
        <td>{{ todo.date | date }}</td>
        <!-- pipes are used to convert one format to another format-->
        <td>{{ todo.done }}</td>
      </tr>
    </tbody>
  </table>
</div>
<div class="container">
  <table class="table">
    <thead>
      <tr>
        <th>ID</th>
        <th>Title</th>
        <th>Is Complete</th>
        <th>Actions</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let work of worktodos">
        <td>{{ work.id }}</td>
        <td>{{ work.title }}</td>
        <td>{{ work.complete }}</td>
        <td>
          <button type="submit" (click)="onRemoveTodo(work)">
            Delete
          </button>
          <button type="submit" (click)="onUpdateClick(work)">
            Update
          </button>
        </td>
      </tr>
    </tbody>
  </table>
  <!--{ getTodoById(1).title }-->
</div>
<div class="container">
  <div class="row col-12">
    <div class="col-6">
      <div class="container">
        <h2>Add a New To Do</h2>
        <form #addData="ngForm" (ngSubmit)="onSubmit(addData)">
          <div class="form-group">
            <span for="name">ID</span>
            <input
              type="number"
              class="float-right form-control"
              name="id"
              id="name"
              value="{{ worktodos[worktodos.length - 1].id + 1 }}"
              [(ngModel)]="id"
              disabled
            />
          </div>
          <div class="form-group">
            <span for="title">Enter Title </span>
            <input
              type="text"
              name="title"
              id="title"
              class="float-right form-control"
              [(ngModel)]="title"
            />
          </div>
          <div class="form-check">
            <input
              class="form-check-input"
              type="radio"
              name="complete"
              id="complete1"
              [value]="true"
              [(ngModel)]="complete"
              checked
            />
            <label class="form-check-label" for="complete1">
              Completed
            </label>
          </div>
          <div class="form-check">
            <input
              class="form-check-input"
              type="radio"
              name="complete"
              id="complete2"
              [value]="false"
              [(ngModel)]="complete"
            />
            <label class="form-check-label" for="complete2">
              Not Completed
            </label>
          </div>
          <!-- <div class="form-control">
      <span for="complete"> Is Complete :</span>
      <input type="text" name="complete" id="complete" [(ngModel)]="complete" />
    </div> -->
          <button type="submit">Submit</button>
        </form>
      </div>
    </div>
    <div class="col-6">
      <h2>Update To Do</h2>
      <form #updateData="ngForm" (ngSubmit)="onUpdate(updateData)">
        <div class="form-group">
          <span for="name">ID</span>
          <input
            type="number"
            class="float-right form-control"
            name="id"
            id="name"
            value="{{ update.id }}"
            [(ngModel)]="id"
            disabled
          />
        </div>
        <div class="form-group">
          <span for="titleupdate">Enter Title </span>
          <input
            type="text"
            name="title"
            id="titleupdate"
            class="float-right form-control"
            value="{{ update.title }}"
            [(ngModel)]="titleUpdate"
          />
        </div>
        <div class="form-check">
          <input
            class="form-check-input"
            type="radio"
            name="complete"
            id="complete1"
            [value]="true"
            [(ngModel)]="completeUpdate"
            [checked]="update.complete === true ? 'checked' : null"
          />
          <label class="form-check-label" for="complete1">
            Completed
          </label>
        </div>
        <div class="form-check">
          <input
            class="form-check-input"
            type="radio"
            name="complete"
            id="complete2"
            [value]="false"
            [(ngModel)]="complete"
            [checked]="update.complete == false ? 'checked' : null"
          />
          <label class="form-check-label" for="complete2">
            Not Completed
          </label>
        </div>
        <!-- <div class="form-control">
      <span for="complete"> Is Complete :</span>
      <input type="text" name="complete" id="complete" [(ngModel)]="complete" />
    </div> -->
        <button type="submit">Submit</button>
      </form>
    </div>
  </div>
</div>
